xine-lib: mad_decoder_s Struct Reference

xine-lib 1.2.12

Data Fields
mad_decoder_s Struct Reference

## Data Fields
audio_decoder_t | audio_decoder
xine_stream_t * | xstream
unsigned int | pts_samples
unsigned int | pts_delay
uint32_t | pts_read
uint32_t | pts_write
struct {
int64_t pts
int bytes
} | pts_ring [(1<< 3)]
struct mad_synth | synth
struct mad_stream | stream
struct mad_frame | frame
unsigned int | output_sampling_rate
int | output_open
int | output_mode
int | preview_mode
unsigned int | start_padding
unsigned int | end_padding
int | needs_more_data
uint8_t * | inbuf
int | insize
mad_fixed_t | peak
uint32_t | seek
uint32_t | declip
unsigned int | num_inbufs
unsigned int | num_bytes_d
unsigned int | num_bytes_r
unsigned int | num_outbufs
uint32_t | rest_read
uint32_t | rest_write
uint8_t | rest_buf [16384+MAD_BUFFER_GUARD]

## Field Documentation

## ◆ audio_decoder

audio_decoder_t mad_decoder_s::audio_decoder

## ◆ bytes

int mad_decoder_s::bytes

## ◆ declip

uint32_t mad_decoder_s::declip

## ◆ end_padding

unsigned int mad_decoder_s::end_padding

## ◆ frame

struct mad_frame mad_decoder_s::frame

## ◆ inbuf

uint8_t* mad_decoder_s::inbuf

## ◆ insize

int mad_decoder_s::insize

## ◆ needs_more_data

int mad_decoder_s::needs_more_data

## ◆ num_bytes_d

unsigned int mad_decoder_s::num_bytes_d

## ◆ num_bytes_r

unsigned int mad_decoder_s::num_bytes_r

## ◆ num_inbufs

unsigned int mad_decoder_s::num_inbufs

## ◆ num_outbufs

unsigned int mad_decoder_s::num_outbufs

## ◆ output_mode

int mad_decoder_s::output_mode

## ◆ output_open

int mad_decoder_s::output_open

## ◆ output_sampling_rate

unsigned int mad_decoder_s::output_sampling_rate

## ◆ peak

mad_fixed_t mad_decoder_s::peak

## ◆ preview_mode

int mad_decoder_s::preview_mode

## ◆ pts

int64_t mad_decoder_s::pts

## ◆ pts_delay

unsigned int mad_decoder_s::pts_delay

## ◆ pts_read

uint32_t mad_decoder_s::pts_read

## ◆

struct { ... } mad_decoder_s::pts_ring[ (1 << 3 ) ]

## ◆ pts_samples

unsigned int mad_decoder_s::pts_samples

## ◆ pts_write

uint32_t mad_decoder_s::pts_write

## ◆ rest_buf

uint8_t mad_decoder_s::rest_buf[16384+MAD_BUFFER_GUARD]

## ◆ rest_read

uint32_t mad_decoder_s::rest_read

## ◆ rest_write

uint32_t mad_decoder_s::rest_write

## ◆ seek

uint32_t mad_decoder_s::seek

## ◆ start_padding

unsigned int mad_decoder_s::start_padding

## ◆ stream

struct mad_stream mad_decoder_s::stream

## ◆ synth

struct mad_synth mad_decoder_s::synth

## ◆ xstream

xine_stream_t* mad_decoder_s::xstream

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/audio_dec/xine_mad_decoder.c